Passer au contenu principal
GET
/
crm-object-schemas
/
2026-03
/
schemas
/
{objectType}
Récupérer le schéma d'un objet personnalisé spécifié.
curl --request GET \
  --url https://api.hubapi.com/crm-object-schemas/2026-03/schemas/{objectType} \
  --header 'Authorization: Bearer <token>'
{
  "allowsSensitiveProperties": true,
  "archived": true,
  "associations": [
    {
      "fromObjectTypeId": "<string>",
      "id": "<string>",
      "toObjectTypeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "fullyQualifiedName": "<string>",
  "id": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "objectTypeId": "<string>",
  "properties": [
    {
      "description": "<string>",
      "fieldType": "<string>",
      "groupName": "<string>",
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "hidden": true,
          "label": "<string>",
          "value": "<string>",
          "description": "<string>",
          "displayOrder": 123
        }
      ],
      "type": "<string>",
      "archived": true,
      "archivedAt": "2023-11-07T05:31:56Z",
      "calculated": true,
      "calculationFormula": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdUserId": "<string>",
      "currencyPropertyName": "<string>",
      "dataSensitivity": "highly_sensitive",
      "dateDisplayHint": "absolute",
      "displayOrder": 123,
      "externalOptions": true,
      "formField": true,
      "hasUniqueValue": true,
      "hidden": false,
      "hubspotDefined": true,
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": true,
        "readOnlyValue": true,
        "readOnlyOptions": true
      },
      "numberDisplayHint": "currency",
      "referencedObjectType": "<string>",
      "sensitiveDataCategories": [
        "<string>"
      ],
      "showCurrencySymbol": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedUserId": "<string>"
    }
  ],
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "createdByUserId": 123,
  "description": "<string>",
  "primaryDisplayProperty": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedByUserId": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

objectType
string
requis

Nom complet ou identifiant de type d'objet de votre schéma.

Paramètres de requête

includeAssociationDefinitions
boolean
défaut:true
includeAuditMetadata
boolean
défaut:true
includePropertyDefinitions
boolean
défaut:true

Réponse

successful operation

allowsSensitiveProperties
boolean
requis
archived
boolean
requis
associations
object[]
requis

Associations définies pour un type d'objet donné.

fullyQualifiedName
string
requis

Un ID unique attribué pour l'objet, comprenant l'ID du portail et le nom de l'objet.

id
string
requis

Un ID unique pour le type d'objet de ce schéma. Sera défini comme {meta-type}-{unique ID}.

labels
object
requis
name
string
requis

Un nom unique pour le type d'objet de ce schéma.

objectTypeId
string
requis
properties
object[]
requis

Propriétés définies pour ce type d'objet.

requiredProperties
string[]
requis

Les noms des propriétés qui devraient être obligatoires lors de la création d'un objet de ce type.

searchableProperties
string[]
requis

Noms des propriétés qui seront indexées pour ce type d'objet dans la recherche de produits de HubSpot.

secondaryDisplayProperties
string[]
requis

Les noms des propriétés secondaires pour cet objet. Elles seront affichées comme secondaires sur la page de la fiche d'informations HubSpot pour ce type d'objet.

createdAt
string<date-time>

Moment où le schéma d'objet a été créé.

createdByUserId
integer<int32>
description
string
primaryDisplayProperty
string

Le nom de la propriété principale pour cet objet. Elle sera affichée comme principale sur la page de la fiche d'informations HubSpot pour ce type d'objet.

updatedAt
string<date-time>

Moment de la dernière mise à jour du schéma.

updatedByUserId
integer<int32>
Last modified on April 13, 2026